---
schema_version: "1"
id: 4ccc378c1e2e887ec2a72c79b0d6685106762f5122bced395d75c5e398fa2272
title: POST /interaction/v1/events
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/postEvent.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/postEvent.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: ed9dcfc900af2bd7ba5b1cfe97c56cde7ca0aec713a7fdb1d85550bf29a3dd2c
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# POST /interaction/v1/events

Insert subscribers into a journey synchronously.

## JSON Parameters

| Name                 | Type   | Description                                                                                                                                                                                                                                                          |
| -------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `ContactKey`         | String | Required. The unique ID of a subscriber or a contact.                                                                                                                                                                                                                |
| `EventDefinitionKey` | String | Required. The unique ID of the journey entry event. You can find the `EventDefinitionKey` in Event Administration after the event is created and saved. This key is present for both standard and custom events. Don’t include a period in the `EventDefinitionKey`. |
| `Data`               | Object | Properties of the event. Required only if defined in a custom event or by the event.                                                                                                                                                                                 |

## Usage

To fire the entry event, send a POST request to the `/interaction/v1/events` endpoint. Include the contact key, the event definition key, and any additional data that’s required for the event. If the payload includes UTF-8 characters, include the `Content-Type: application/json; charset=UTF-8` header.

```
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /interaction/v1/events
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
{
  "ContactKey": "ID601",
  "EventDefinitionKey":"AcmeBank-AccountAccessed",
  "Data": {
    "accountNumber":"123456",
    "patronName":"John Smith"
  }
}
```

If there are no errors, the API returns an HTTP 201 response that includes the `eventInstanceId`.

<!-- This GUID is randomly generated. It doesn’t represent a security risk. -->

```js
{
     "eventInstanceId": "d8875e00-7968-44d1-863f-ad7bb10667bb"
}
```

If the event definition key isn’t found, the API returns an HTTP 400 response.

```js
{
    "message": "EventDefinitionKey NAMED_KEY not found",
    "errorcode": 10000,
    "documentation": ""
}
```

The API also returns an HTTP 400 response if the contact isn’t active.

```js
{
    "message": "The contact status should be Active.",
    "errorcode": 30000,
    "documentation": ""
}
```

<!--Removed some additional HTTP responses for common scenarios. The responses above are unique to this route.-->

## See Also

- [Insert Contacts Asynchronously](https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/enterContactsIntoJourneyInBatches.md)
